<?php

namespace KupShop\DropshipBundle\Exception;

class TransferException extends \Exception
{
    private array $data;

    public function __construct($message = '', array $data = [], $code = 0, ?Throwable $previous = null)
    {
        $this->data = $data;

        parent::__construct($message, $code, $previous);
    }

    public function getData(): array
    {
        return $this->data;
    }
}
